Subject: Re: -mno-cygwin and C++ -- solved!
From: "Paul Garceau" <[email-masked]>
To: [email-masked]
Date: Thu, 29 Mar 2001 19:06:43 -0800

On 28 Mar 2001, at 22:32, the Illustrious Christopher Faylor wrote:

> On Wed, Mar 28, 2001 at 06:30:42PM -0800, Paul Garceau wrote:
> >Hi folks,
> >
> >	Forgive me, couldn't let this pass...
> >
> >On 27 Mar 2001, at 23:49, the Illustrious Kenton Varda wrote:
> >
> >> I think that's what I was originally looking for. :)  Why isn't this
> >> part of cygwin's mingw package already?
> >
> >	*ahem*
> >
> >	Mingw _does not belong to Cygwin_, Mingw is a separate and optional
> >set of development tools that just happens to run alongside the Cygwin
> >Development Tools and that _may be_ installed with the Cygwin
> >Development Tools...it is _not_ a Cygwin development tool, it is a
> >Cygwin "Option" in the same way that the "-mno-cygwin" switch is an
> >"optional" switch. 	It has only achieved this after a whole bunch of
> >volunteers spent a great deal of time and energy (man-years) attempting
> >to integrate the two to work with a simple switch called "-mno-cygwin".
> > It has _not been_ a "trivial task".
> 
> I can attest to that.  gcc is really not designed to accomodate the kind
> of magic that -mno-cygwin is attempting.  I try to push the envelope
> with every release of gcc but I think I've reached the point where I now
> have to branch out into binutils to achieve perfect separation.  The
> current testing version of gcc actually has some hacks that I probably
> would never send back to gcc.gnu.org.
> 
> And, I really am trying to be sensitive to the fact that mingw is not
> "my" project.  I don't want to cloud the issue by releasing too much of
> mingw with Cygwin.  I'm sure that the mingw maintainers have enough to
> do with their own distribution and don't want to be bothered spending
> excessive amounts of time trying to integrate things with Cygwin.
> 
> Sometimes I think that the best way to handle all of this is to have a
> completely different compiler which defaults to a totally separate
> /usr/include and /usr/lib area.  i686-pc-mingw-gcc.  Hmm.  It has a nice
> ring to it.

	Indeed...for now, I guess we will just have to muddle along with 
things as they are <eg>...maybe one day... <g>

	Peace,

		Paul G.

> 
> cgf
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple
> 
> 

Nothing real can be threatened.
    Nothing unreal exists.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple